0 Replies Latest reply on Jan 7, 2002 11:57 AM by Ravi Nanavati

    Problems with JBoss 2.4.4 test suite

    Ravi Nanavati Newbie

      I wanted to try running the JBoss 2.4.4 test suite against JBoss 2.4.4 as a learning experience and I'm having some problems.

      This is what I did:

      1) Downloaded the JBoss-2.4.4 source and expanded it in
      the directory JBoss-2.4.4-src

      2) Built JBoss using the build.xml file in JBoss-2.4.4-src

      3) Went into JBoss-2.4.4-src/jbosstest/src/build
      and tried to build and run the test suite using run-tests.xml

      Got the following error in the build:

      [javac] D:\JBoss-2.4.4-src\jbosstest\src\main\org\jboss\test\security\test\TestLoginContext.java:54: The instance method void assertEquals(java.lang.String, boolean, boolean) declared in class org.jboss.test.security.test.TestLoginContext cannot override the static method of the same signature declared in class junit.framework.Assert. It is illegal to override a static method.
      [javac] protected void assertEquals(String msg, boolean expected, boolean actual)
      [javac]


      for the files TestLoginContext.java, TestNamespacePermission.java, and TestPermissionName.java in JBoss-2.4.4-src/jbosstest/src/main/org/jboss/test/security/test

      I also got an error about overriding that method with a more restrictive signature for those files.

      I thought the problem might be that I didn't have the most up-to-date version of the test suite for 2.4, so I tried updating jbosstest using the tag "Branch_2_4" and I had the same problem.

      Poking around in the CVS repository it seems like this is a known problem that has been fixed and it is just that the CVS tags for the test suite files are off. Can someone confirm my hypothesis and help me get a set of up-to-date 2.4 test suite files?

      Thanks,

      - Ravi Nanavati